Bug 697648 - Rebase openscap for OVAL 5.8 functionality
Rebase openscap for OVAL 5.8 functionality
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openscap (Show other bugs)
6.2
All Unspecified
high Severity medium
: rc
: ---
Assigned To: Peter Vrabec
BaseOS QE Security Team
: Rebase, Reopened
Depends On:
Blocks: 683579 747120
  Show dependency treegraph
 
Reported: 2011-04-18 16:14 EDT by Peter Vrabec
Modified: 2011-12-06 10:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 10:08:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2011-04-18 16:14:19 EDT
Description of problem:
The currently shipped version of openscap support OVAL 5.6. We would like to extend support to OVAL 5.8. 

OVAL 5.8 introduce important linux/unix tests that are applicable to many security guidelines.
Comment 2 Steve Grubb 2011-04-19 08:32:21 EDT
We need to meet the SCAP 1.1 specification: 
http://scap.nist.gov/revision/1.1/index.html

This means stepping up to OVAL 5.8 and adding support for OCIL 2.0. All the other standards are the same as SCAP 1.0.
Comment 3 Peter Vrabec 2011-05-10 03:54:15 EDT
We can also provide SCAP content that reflects RHEL default configuration + hardening tips in this rebase.
Comment 5 RHEL Product and Program Management 2011-06-22 10:55:00 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.
Comment 6 Steve Grubb 2011-06-22 11:13:35 EDT
Reopening, the USGCB content is written for SCAP 1.1. We need to have the ability to at least scan our own system with content designed for our system.
Comment 7 Gunnar Hellekson 2011-06-22 12:10:39 EDT
This rebase and support for both SCAP 1.1 and USGCB is important. It's not especially useful to carry the package at all otherwise.
Comment 14 Ondrej Moriš 2011-08-16 09:29:35 EDT
Peter, the official list of changes for 5.8 is quite long [1]. I suppose that not all of them were implemented into openscap. Is it possible to list what has been done in openscap and what has not? You did it during OVAL support upgrade from 5.4 to 5.6 in RHEL6.1 [2] and it was very helpful and qa-friendly.

[1] http://oval.mitre.org/language/version5.8/#new
[2] https://bugzilla.redhat.com/show_bug.cgi?id=642672#c6
Comment 15 Peter Vrabec 2011-08-16 11:29:18 EDT
Ondrej, please take a look at:

http://www.open-scap.org/page/Contribute. 

I believe all the changes relevant to our platform are on the list and most of them were already implemented.
Comment 20 errata-xmlrpc 2011-12-06 10:08:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1618.html

Note You need to log in before you can comment on or make changes to this bug.